/***************************************************************************
 *
 $ pdus
 *
 ***************************************************************************/

#define Bssap_Message			0
#define Bssap_Assignment_Request	1
#define Bssap_Assignment_Complete	2
#define Bssap_Paging			3
#define Bssap_Clear_Command		4
#define Bssap_Clear_Complete		5
#define Bssap_Complete_L3_Information	6
#define Bssap_PDU_NOK			7

/***************************************************************************
 *
 $ states
 *
 ***************************************************************************/

#define	idle		0
#define	conn_pending	1
#define	active		2
#define	assign_pending	3
#define	wait_disc	4

/***************************************************************************
 *
 $ variable structure
 *
 ***************************************************************************
 */

typedef struct {
	sint32	   some_variable;
	FRAME_PTR  rec_frame,
	           snd_frame;
	VTASK      *self;
	Address    msc_address,
	           own_address;
	Elements   elements;
} VARIABLE_STR;

/***************************************************************************
 *
 $ timers
 *
 ***************************************************************************/

#define	DIALOGUE_ID_TIMER	0

/***************************************************************************
 *
 $ timer tick counts in seconds
 *
 ***************************************************************************

	DIALOGUE_ID_TIMER	60

$ end
*/
/*
$ asn
*/

#define asn_user_data 0
#define asn_elements 1
#define asn_bssap_channel_type 2
#define asn_bssap_imsi 3
#define asn_cell_list 4
#define asn_cause 5
#define asn_cell_identifier 6
#define asn_l3_information 7
#define asn_discrimination 8
#define asn_l3_message 9
#define asn_bssap_Assignment_Complete_pdu 10
#define asn_bssap_Clear_Complete_pdu 11
#define asn_calledAddress 12
#define asn_callingAddress 13
#define asn_userData 14
#define asn_reason 15
#define asn_originator 16
#define asn_message 17
#define asn_pdu_number 18
#define ASN_VAR_COUNT 19

/*
$ end asn
*/

